#version 420

uniform mat4 MVPMatrix; //model-view-projection matrix

in vec4 vertex;

out vec4 fragmentVertex;

void main(void)
{
    fragmentVertex = vertex;
    gl_Position = MVPMatrix * vertex;
}
